package com.app.framework.core.exception;
/**
 * 自定义异常类
 *  用于验证失败抛出异常，该异常会通过AjaxResult对象输出至前端
 *  此异常不会在控制台抛出(因为在异常控制中心ExceptionCenterController捕获了)
 *  eg.
 *      1)参数必填、格式验证失败
 *      2)Service中判断失败需事物回滚
 *
 */
public class ValidException extends RuntimeException {
    private static final long serialVersionUID = 1700233072924690954L;
    
    public ValidException(String message, Throwable cause) {
        super(message, cause);
    }

    public ValidException(String message) {
        super(message);
    }

    public ValidException(Throwable cause) {
        super(cause);   
    }
}
